# Format a data.frame with a specified number of decimal places

Source: `R/radiant.R`
`format_df.Rd`

Format a data.frame with a specified number of decimal places

    format_df(tbl, dec = NULL, perc = FALSE, mark = "", na.rm = FALSE, ...)

## Arguments

tbl

  Data.frame

dec

  Number of decimals to show

perc

  Display numbers as percentages (TRUE or FALSE)

mark

  Thousand separator

na.rm

  Remove missing values

...

  Additional arguments for format_nr

## Value

Data.frame for printing

## Examples

    data.frame(x = c("a", "b"), y = c(1L, 2L), z = c(-0.0005, 3)) %>%
      format_df(dec = 4)
    #>   x y       z
    #> 1 a 1 -0.0005
    #> 2 b 2  3.0000
    data.frame(x = c(1L, 2L), y = c(0.06, 0.8)) %>%
      format_df(dec = 2, perc = TRUE)
    #>   x      y
    #> 1 1  6.00%
    #> 2 2 80.00%
    data.frame(x = c(1L, 2L, NA), y = c(NA, 1.008, 2.8)) %>%
      format_df(dec = 2)
    #>    x    y
    #> 1  1   NA
    #> 2  2 1.01
    #> 3 NA 2.80